Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.hyphenation
Class Hyphen

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.Hyphen

All Implemented Interfaces:
  Serializable

    public class Hyphen

extends Object
implements Serializable

This class represents a hyphen. A 'full' hyphen is made of 3 parts: the pre-break text, post-break text and no-break. If no line-break is generated at this position, the no-break text is used, otherwise, pre-break and post-break are used. Typically, pre-break is equal to the hyphen character and the others are empty. However, this general scheme allows support for cases in some languages where words change spelling if they're split across lines, like german's 'backen' which hyphenates 'bak-ken'. BTW, this comes from TeX.

Author:
  Carlos Villegas
See Also:
  Serialized Form

Field Summary
`String` | `noBreak`
`String` | `postBreak`
`String` | `preBreak`
`private static long` | `serialVersionUID`

Constructor Summary
`Hyphen(String pre)`
`Hyphen(String pre, String no, String post)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### preBreak

    public String preBreak

### noBreak

    public String noBreak

### postBreak

    public String postBreak

Constructor Detail

### Hyphen

    Hyphen(String pre,
           String no,
           String post)

### Hyphen

    Hyphen(String pre)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD